Session Replays

List Replay Collections

GET
/v0/project/{idOrSlug}/replay-collections

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Query Parameters

includeCounts?|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/replay-collections"
[  {    "id": "string",    "projectId": "string",    "name": "string",    "mode": "manual",    "filterConfig": {      "viewed": true,      "identifiedState": "identified",      "browserIn": [        "string"      ],      "osIn": [        "string"      ],      "countryIn": [        "string"      ],      "routeVisitedAny": [        "string"      ],      "minEventCount": 0,      "maxEventCount": 0,      "minDurationMs": 0,      "maxDurationMs": 0,      "hasErrors": true,      "hasPoorVitals": true,      "poorVitalMetric": "string",      "playbackStart": "session_start",      "datasourceFilters": [        {          "referenceId": "string",          "operator": "equals",          "value": "string",          "dataType": "string"        }      ]    },    "position": 0,    "defaultKey": "string",    "createdBy": "string",    "updatedBy": "string",    "createdAt": "string",    "updatedAt": "string",    "replayCount": 0  }]
{  "_tag": "SessionReplaysValidationError",  "message": "string"}
{  "_tag": "UnauthorizedError",  "message": "string"}
{  "_tag": "ForbiddenError",  "message": "string",  "code": "string"}
{  "_tag": "NotFoundError",  "message": "string"}
{  "_tag": "InternalServerError",  "message": "string"}